MP4v2

Public Attributes | List of all members
MP4ItmfItem_s Struct Reference
MP4v2 iTMF (iTunes Metadata Format) Generic

Item structure. More...

`#include <itmf_generic.h>`

## Public Attributes
void * | __handle
| internal use only.
char * | code
| four-char code identifing atom type. More...
char * | mean
| may be NULL. More...
char * | name
| may be NULL. More...
MP4ItmfDataList | dataList
| list of data. More...

## Detailed Description

Item structure.

Models an iTMF metadata item atom contained in an ilst atom.

Examples
  example/itmf/generic.c.

## Member Data Documentation

## ◆ code

char* MP4ItmfItem_s::code

four-char code identifing atom type.

NULL-terminated.

Examples
  example/itmf/generic.c.

## ◆ dataList

MP4ItmfDataList MP4ItmfItem_s::dataList

list of data.

can be zero length.

Examples
  example/itmf/generic.c.

## ◆ mean

char* MP4ItmfItem_s::mean

may be NULL.

UTF-8 meaning. NULL-terminated.

Examples
  example/itmf/generic.c.

## ◆ name

char* MP4ItmfItem_s::name

may be NULL.

UTF-8 name. NULL-terminated.

Examples
  example/itmf/generic.c.